
Application: gvSIG desktop - gvSIG bugs #898
Can't create HIPERLINK for Html / No se puede CREAR HIPERENLACE *.html
07/20/2012 10:16 AM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Hiperlink, hiperenlace, html Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

ESP - No se puede CREAR HIPERENLACE *.html:

Pasos
    1.- Abrir gvSIG
    2.- Abrir VISTA NUEVA
    3.- Abrir capa MunicipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Comenzar Edición
    5.- Abrir Tabla de Atributos
    6.- Entro en "Tabla/Modificar estructura de tabla" 
    7.- Inserto campo nuevo + aceptar
    8.- Terminar edición y Guardar
    9.- Comenzar Edición y abro tabla de atributos
    10.- Aplico filtro NOMBRE='SEVILLA' + Nuevo Conjunto
    11.- Pincho en la herramienta "ZOOM A LA SELECCIÓN" 
    12.- Inserto en el campo nuevo ruta para hiperenlace (http://www.sevilla.org/impe/sevilla/portada)
    13.- Termino edición y guardo cambios
    14.- Botón derecho sobre la capa de la vista y voy a "Propiedades" de capa
    15.- En la pestaña "Hiperenlace" activo la casilla "Activar hiperenlace", luego especifico:
        a) CAMPO - selecciono el campo creado en el paso 7
        b) EXTENSIÓN - vacío
        c) ACCIÓN - selecciono "Enlazar con ficheros de texto y HTML" 
    16.- Aplicar y aceptar
    17.- Abro la tabla de atributos y aplico filtro NOMBRE='SEVILLA' + Nuevo Conjunto
    18.- Pincho en la herramiento "ZOOM A LA SELECCIÓN" y cierro tabla
    19.- Pincho en "Hiperenlace Avanzado" dentro del menú "Capa" 
    20.- Pincho en el elemento selccionado
    21.- Aparece una ventana con mensaje de error:
        "java.lang.IllegalArgumentException: Attribute name 'Field1' not found in the feature"

ENG - Can't create HIPERLINK for Html:

Steps
    1.- Open gvSIG
    2.- Open NEW VIEW
    3.- Open layer municipiosAndal.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/)
    4.- Start Edition
    5.- Open Attribute Table
    6.- Menu "Table" go to "Manage Fields" 
    7.- Click on "New Field" and accept
    8.- Finish Edition and SAVE changes
    9.- Start Edition and open attribute table
    10.- Menu "Table" go to "Filter" and type NOMBRE='SEVILLA' then "New Set" 
    11.- Use tool "Move selection to top" from menu VIEW/NAVIGATION
    12.- Type path in the new field (http://www.sevilla.org/impe/sevilla/portada)
    13.- Finish Edition
    14.- Click right button on layer and select "Properties" 
    15.- Go to "Hiperlink" and click checkbox "Enable hyperlink", then specify in:
        a) FIELD - select the new field created in step 7
        b) EXTENSION - none
        c) ACTION - select "Link to text and HTML files" 
    16.- APPLY and ACCEPT
    17.- Open attribute table and go to Menu TABLE/Filter and type NOMBRE='SEVILLA' then "New Set" 
    18.- Click tool "Zoom to selection" on menu VIEW/NAVIGATION and close table attributes
    19.- Click "Advanced hyperlink" tool placed in LAYER menu
    20.- Click selected feature (SEVILLA)
    21.- Appears a warning message:
        "java.lang.IllegalArgumentException: Attribute name 'Field3' not found in the feature"

History
#1 - 10/23/2012 10:45 AM - Vicent Domenech
- Target version set to 2.0.0-rc1

#2 - 10/27/2012 02:56 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

This bug is fixed by previous bugfixes. The icon of the tool is the same, but the tooltip is now "Hyperlink" (not advanced) and is under the menu "View"
(not Layer)

Test: the steps described should work now.

#3 - 11/08/2012 02:06 PM - Abenchara Socorro
- Status changed from Fixed to Closed
